<?php
/**
 * @author Daniel J. Summers <daniel@bitbadger.solutions>
 * @license MIT
 */

declare(strict_types=1);

use MyPrayerJournal\UI\Layout;

require '../../../start.php';

$req = validate_request($_GET['id'], ['GET'], false);

Layout::bareHead(); ?>
<form hx-patch="/request/snooze?id=<?=$req->id?>" hx-target=#journalItems hx-swap=outerHTML>
    <div class="form-floating pb-3">
        <input type=date id=until name=until class=form-control
               min="<?=new DateTimeImmutable('now')->format('Y-m-d')?>" required>
        <label for=until>Until</label>
    </div>
    <p class="text-end mb-0"><button type=submit class="btn btn-primary">Snooze</button>
</form><?php
Layout::bareFoot();
