<?php
/**
 * @author Daniel J. Summers <daniel@bitbadger.solutions>
 * @license MIT
 */

declare(strict_types=1);

use BitBadger\PDODocument\Patch;
use MyPrayerJournal\Table;
use MyPrayerJournal\Domain\Note;

require '../../start.php';

$req = validate_request($_GET['id'], ['POST'], false);

array_unshift($req->notes, new Note(new DateTimeImmutable('now')->format('c'), $_POST['notes']));
Patch::byId(Table::REQUEST, $req->id, ['notes' => $req->notes]);

hide_modal('notes');
http_response_code(202);
