<?php
/**
 * @author Daniel J. Summers <daniel@bitbadger.solutions>
 * @license MIT
 */

declare(strict_types=1);

use BitBadger\PDODocument\RemoveFields;
use MyPrayerJournal\Table;
use MyPrayerJournal\UI\{Component, Layout};

require '../../start.php';

$req = validate_request($_GET['id'], ['PATCH'], false);

RemoveFields::byId(Table::REQUEST, $req->id, ['showAfter']);
$req->showAfter = null;

// TODO: message
Layout::bareHead();
Component::requestItem($req);
Layout::bareFoot();
