<?php
/**
 * @author Daniel J. Summers <daniel@bitbadger.solutions>
 * @license MIT
 */

declare(strict_types=1);

use MyPrayerJournal\UI\Component;use MyPrayerJournal\UI\Layout;

require '../start.php';
if ($_SERVER['REQUEST_METHOD'] <> 'GET') not_found();

Layout::pageHead('Welcome'); ?>
<article class="container mt-3">
    <p>&nbsp;
    <p>myPrayerJournal is a place where individuals can record their prayer requests, record that they prayed for them,
        update them as God moves in the situation, and record a final answer received on that request. It also allows
        individuals to review their answered prayers.
    <p>This site is open and available for anyone who wants to use it. To get started, simply click the &ldquo;Log
        On&rdquo; link above, and log on with either a Microsoft or Google account. You can also learn more about the
        site at the &ldquo;Docs&rdquo; link, also above.
    <hr>
    <p><em>This is an in-progress upgrade from v3 to v4; if you encounter errors, see
        <?=Component::pageLink('/docs#notes', 'the documentation')?> on reporting them.</em>
</article><?php
Layout::pageFoot();
